%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}

Name:          apache-commons-cli2
Version:       2.0
Release:       0.1.SNAPSHOT.r1690389%{?dist}
Summary:       Commons CLI2
License:       ASL 2.0
URL:           http://commons.apache.org/sandbox/commons-cli2/
# svn export -r1690389 http://svn.apache.org/repos/asf/commons/sandbox/cli2/trunk/ commons-cli2-2.0-SNAPSHOT
# tar cJf commons-cli2-2.0-SNAPSHOT-r1690389.tar.xz commons-cli2-2.0-SNAPSHOT
Source0:       commons-cli2-%{namedversion}-r1690389.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.commons:commons-parent:pom:)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(jdepend:jdepend)

BuildArch:     noarch

%description
Commons CLI2 provides a simple API for presenting,
processing and validating a command line interface.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n commons-cli2-%{namedversion}

%pom_xpath_set "pom:parent/pom:artifactId" commons-parent

%pom_remove_plugin :maven-assembly-plugin

%mvn_file :commons-cli2 %{name} commons-cli2
%mvn_alias :commons-cli2 "org.apache.mahout.commons:commons-cli"

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.txt RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Fri Aug 23 2013 gil cattaneo <puntogil@libero.it> 2.0-0.1.SNAPSHOT.r1690389
- initial rpm
